// NCSmanagerDlg.cpp : implementation file
//

#include "stdafx.h"
#include "NCSmanager.h"
#include "NCSmanagerDlg.h"
#include "AddUserDlg.h"
#include "ArchiveDlg.h"
#include "AddUsers.h"

#include "conference.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNCSmanagerDlg dialog

CNCSmanagerDlg::CNCSmanagerDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNCSmanagerDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNCSmanagerDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	m_hRing = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_RINGBMP));
	m_hFlat = LoadBitmap(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDB_FLATBMP));
}

void CNCSmanagerDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNCSmanagerDlg)
	DDX_Control(pDX, IDC_RING, m_Ring);
	DDX_Control(pDX, IDC_ACCEPT, m_Accept);
	DDX_Control(pDX, IDC_RUN, m_Run);
	DDX_Control(pDX, IDC_REJECT, m_Reject);
	DDX_Control(pDX, IDC_QUIT, m_Quit);
	DDX_Control(pDX, IDC_INFO, m_Info);
	DDX_Control(pDX, IDC_STATUS, m_status);
	DDX_Control(pDX, IDC_LIST_APP, m_app_list);
	DDX_Control(pDX, IDC_LIST_MEM, m_member_list);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CNCSmanagerDlg, CDialog)
	//{{AFX_MSG_MAP(CNCSmanagerDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_ADD_MEMBER, OnAddMember)
	ON_COMMAND(ID_FILE_EXIT, OnFileExit)
	ON_LBN_SELCHANGE(IDC_LIST_APP, OnSelchangeListApp)
	ON_BN_CLICKED(IDC_RUN, OnRun)
	ON_BN_CLICKED(IDC_QUIT, OnQuit)
	ON_BN_CLICKED(IDC_INFO, OnInfo)
	ON_BN_CLICKED(IDC_ACCEPT, OnAccept)
	ON_BN_CLICKED(IDC_REJECT, OnReject)
	ON_COMMAND(ID_FILE_RESET, OnFileReset)
	ON_COMMAND(ID_MEMBER_ADD, OnMemberAdd)
	ON_COMMAND(ID_INVIT_ACC, OnInvitAcc)
	ON_COMMAND(ID_INVIT_REJECT, OnInvitReject)
	ON_COMMAND(ID_APP_RUN, OnAppRun)
	ON_COMMAND(ID_APP_QUIT, OnAppQuit)
	ON_COMMAND(ID_APP_INFO, OnAppInfo)
	ON_WM_CLOSE()
	ON_COMMAND(ID_ARCH_PANEL, OnArchPanel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNCSmanagerDlg message handlers

BOOL CNCSmanagerDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	CString strAboutMenu;
	strAboutMenu.LoadString(IDS_ABOUTBOX);
	if (!strAboutMenu.IsEmpty())
	{
		pSysMenu->AppendMenu(MF_SEPARATOR);
		pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	m_Ring.SetBitmap(m_hFlat);

	m_Reject.EnableWindow(FALSE);
	m_Accept.EnableWindow(FALSE);
	m_Run.EnableWindow(FALSE);
	m_Quit.EnableWindow(FALSE);
	m_Info.EnableWindow(FALSE);
	
	start_conference(this);
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CNCSmanagerDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CNCSmanagerDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CNCSmanagerDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}


void CNCSmanagerDlg::SetStatus(char *text)
{
	m_status.SetSel(0, -1);
	m_status.ReplaceSel(text);
}

void CNCSmanagerDlg::AddMember(char *user, char *host)
{
	char text[100];

	strcpy(text, user);
	strcat(text, "@");
	strcat(text, host);
	m_member_list.AddString(text);
}

void CNCSmanagerDlg::DeleteMember(char *user, char *host)
{
	int index;
	char text[100];

	strcpy(text, user);
	strcat(text, "@");
	strcat(text, host);
	if((index = m_member_list.FindString(-1, text)) != LB_ERR)
		m_member_list.DeleteString(index);
}

void CNCSmanagerDlg::DeleteAllMembers(void)
{
	m_member_list.ResetContent();
}

void CNCSmanagerDlg::DeleteAllApps(void)
{
	m_app_list.ResetContent();
}

void CNCSmanagerDlg::AddApp(char *app)
{
	m_app_list.AddString(app);
}

/////////////////////////////////////////////////////////////////////////
//
// Dialog control callbacks
//
void CNCSmanagerDlg::OnSelchangeListApp() 
{
	int index;
	
	if((index = m_app_list.GetCurSel()) != LB_ERR)
	{
		if(app_started(index))
		{
			m_Run.EnableWindow(FALSE);
			m_Quit.EnableWindow();
		}
		else
		{
			m_Run.EnableWindow();
			m_Quit.EnableWindow(FALSE);
		}
		m_Info.EnableWindow();
	}
	else
	{
		m_Run.EnableWindow(FALSE);
		m_Quit.EnableWindow(FALSE);
		m_Info.EnableWindow(FALSE);
	}
}

void CNCSmanagerDlg::OnAddMember() 
{
	confAddMemberDlg();
	/*
	char *user;
	char *host;
	AddUserDlg dlg;
	int nResponse = dlg.DoModal();

	if (nResponse == IDOK)
	{
		user = dlg.m_user.GetBuffer(20);
		host = dlg.m_host.GetBuffer(50);
		add_member(user, host);
	}
	else if (nResponse == IDCANCEL)
	{
	}
	*/
}

void CNCSmanagerDlg::OnRun() 
{
	int index;
	
	if((index = m_app_list.GetCurSel()) != LB_ERR)
	{
		m_Run.EnableWindow(FALSE);
		m_Quit.EnableWindow();
		start_local_app(index);
	}
}

void CNCSmanagerDlg::OnQuit() 
{
	int index;
	
	if((index = m_app_list.GetCurSel()) != LB_ERR)
	{
		quit_local_app(index);
		m_Run.EnableWindow();
		m_Quit.EnableWindow(FALSE);
	}
}

void CNCSmanagerDlg::OnInfo() 
{
	int index;
	
	if((index = m_app_list.GetCurSel()) != LB_ERR)
		info_app(index);
}



void CNCSmanagerDlg::OnAccept() 
{
	accept();	
	m_Accept.EnableWindow(FALSE);
	m_Reject.EnableWindow(FALSE);
}

void CNCSmanagerDlg::OnReject() 
{
	reject();	
	m_Accept.EnableWindow(FALSE);
	m_Reject.EnableWindow(FALSE);
}

/////////////////////////////////////////////////////////////////////////
//
// Menu control callbacks
//
void CNCSmanagerDlg::OnFileExit() 
{
	exit_conference();
	CDialog::EndDialog(0);
}

void CNCSmanagerDlg::OnFileReset() 
{
	conf_reset();
}

void CNCSmanagerDlg::OnMemberAdd() 
{
	confAddMemberDlg();
}

void CNCSmanagerDlg::OnInvitAcc() 
{
	accept();	
}

void CNCSmanagerDlg::OnInvitReject() 
{
	reject();	
}

void CNCSmanagerDlg::OnAppRun() 
{
	int index;
	
	if((index = m_app_list.GetCurSel()) != LB_ERR)
		start_local_app(index);
}

void CNCSmanagerDlg::OnAppQuit() 
{
	int index;
	
	if((index = m_app_list.GetCurSel()) != LB_ERR)
		quit_local_app(index);
}

void CNCSmanagerDlg::OnAppInfo() 
{
	int index;
	
	if((index = m_app_list.GetCurSel()) != LB_ERR)
		info_app(index);
}

void CNCSmanagerDlg::OnClose() 
{
	exit_conference();
	CDialog::OnClose();
}


void CNCSmanagerDlg::OnArchPanel() 
{
	CArchiveDlg *archive;
	int nResponse;

	archive = new CArchiveDlg();
	nResponse = archive->DoModal();

	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}

	archive->Exit();
	delete archive;
}

void CNCSmanagerDlg::Invitation(void)
{
	m_Reject.EnableWindow(TRUE);
	m_Accept.EnableWindow(TRUE);
}

void CNCSmanagerDlg::setRing(void)
{
	m_Ring.SetBitmap(m_hRing);
}

void CNCSmanagerDlg::resetRing(void)
{
	m_Ring.SetBitmap(m_hFlat);
}
