///////////////////////////////////////////////////////////////////////////
// 
// File						: capture.h
//
// Description				: capture functions declaration
//
// Author					: Tomasz Stachowiak
//
// Date						: 11-19-96
//
////////////////////////////////////////////////////////////////////////////
#include <vfw.h>

#define WIDTH 160
#define HEIGHT 120

#define BI_YUV9 961893977

int captureInit(HWND parent, int msec);
void captureClose(void);
int captureSetFormat(void);
void captureDisplayInfo(void);
void captureGrab(void);
LRESULT PASCAL captureFrameClb(HWND hWnd, LPVIDEOHDR lpVHdr);
void captureHandleImage(void *image);
void captureSetRate(int msec);

void draw(void *image);
void drawOpen(void);
void captureHandleImage(void *image);
void captureSetRate(int msec);


