///////////////////////////////////////////////////////////////////////////
// 
// File						: conference.cpp
//
// Description				: conference functions header
//
// Author					: Tomasz Stachowiak
//
// Date						: 11-21-96
//
////////////////////////////////////////////////////////////////////////////
#include "NCSvideo.h"
#include "NCSvideoDlg.h"

#define MAX_USERS 20
#define INTRA_GAP 10
#define UPDATE_RATE 15865

void confInit(CNCSvideoDlg *dlg);
DWORD confReadThread(LPDWORD lpdwParam);
void confHandleData(DWORD tag, void *data, int len, DWORD handle);
void confSendMessage(DWORD tag, void *frame, int len);
void confClose(void);
void confSendVideo(int tag, char *buf, int len);
void confCodeImage(char *yuv, int conv);
BOOL confPlay(void);
void confPanel(void);
BOOL confStop(void);
DWORD confTimeCtrlThread(LPDWORD lpdwParam);
void confUpdateRate();

void connPanel(void);
void setConnection(char *conn);
char *confGetUserString(int no);
void confSaveConfig();
int confRestoreConfig();

// NCS callbacks
void confStarting();
void confExit();
