// AudioStat.h : header file
//
#ifndef _AUDIOSTAT_H
#define _AUDIOSTAT_H

#include "UserData.h"
#ifndef _BVDLG_H
#include "ncs.h"
#endif

/////////////////////////////////////////////////////////////////////////////
// CAudioStat dialog

class CAudioStat : public CDialog
{
// Construction
public:
	void Init();
	void update(int user, UserData *data);
	void Vupdate(int user, UserData *data);
	CAudioStat(Session *ses, CWnd* pParent = NULL);   // standard constructor

	Session *session;

	// Dialog Data
	//{{AFX_DATA(CAudioStat)
	enum { IDD = IDD_ASTAT_DLG };
	CEdit	m_Vrec;
	CEdit	m_Vlost;
	CEdit	m_Vlate;
	CEdit	m_Vbandwidth;
	CEdit	m_Fps;
	CEdit	m_Total;
	CEdit	m_Received;
	CListBox	m_PartsList;
	CEdit	m_Lost;
	CEdit	m_Late;
	CEdit	m_Latency;
	CEdit	m_Bandwidth;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAudioStat)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void ZeroFields();
	int check;
	int current;

	// Generated message map functions
	//{{AFX_MSG(CAudioStat)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangePartList();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int memberPos[MAX_MEMBERS];
};

#endif
