#ifndef _USERDATA_H
#define _USERDATA_H

#include "rtp.h"


class UserData
{
private:
	int last_ts;
	int last_seq;
	int first_time;

public:
	int latency;
	int frames_received;
	int frames_lost;
	int frames_late;
	int bytes;

	UserData(RTPheader *hdr, int size);
	int frame(RTPheader *hdr, int size);
	int getPercentLost();
	double getKbps();
	double getFps();
	void reset();
	int getPercentLate();
	double getLatency();

};

#endif