// ConnDlg.cpp : implementation file
//

#include "stdafx.h"
#include "BVtango.h"
#include "ConnDlg.h"
#include "options.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConnDlg dialog


CConnDlg::CConnDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConnDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConnDlg)
	m_ConnectionStr = _T("");
	//}}AFX_DATA_INIT
}


void CConnDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConnDlg)
	DDX_Control(pDX, IDC_EMAIL_EDIT, m_Email);
	DDX_Control(pDX, IDC_SERVER_EDIT, m_Server);
	DDX_Control(pDX, IDC_NAME_EDIT, m_Name);
	DDX_Control(pDX, IDC_CONN_COMBO, m_Connection);
	DDX_Control(pDX, IDC_AUTOACK, m_AutoAck);
	DDX_CBString(pDX, IDC_CONN_COMBO, m_ConnectionStr);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConnDlg, CDialog)
	//{{AFX_MSG_MAP(CConnDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConnDlg message handlers

void CConnDlg::SetOptions(Options *opt)
{
	options = opt;
	m_Connection.SelectString(-1, options->connection);
	m_Server.SetSel(0, -1);
	m_Server.ReplaceSel(options->server_name);
	m_Name.SetSel(0, -1);
	m_Name.ReplaceSel(options->user_name);
	m_Email.SetSel(0, -1);
	m_Email.ReplaceSel(options->user_email);
	m_AutoAck.SetCheck(options->autoAccept);
}

BOOL CConnDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_Connection.AddString("Modem 28.8");
	m_Connection.AddString("ISDN-1");
	m_Connection.AddString("ISDN-2");
	m_Connection.AddString("LAN");

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
