

#ifndef __H_EVENT__
#define __H_EVENT__

#define CONTROL 30
#define DATA    31

#include <winsock.h>

struct Event
{
	int type;
	int len;
	char *data;
};

SOCKET registerApp( int AID, int port );
HRESULT sendEvent( SOCKET sockfd, struct Event *pev );
struct Event *receiveEvent( SOCKET sockfd );
struct Event *createEvent( int type, int len, char *data );
int getType( struct Event *pev );
int getLen( struct Event *pev );
char *getData( struct Event *pev );
void destroyEvent( struct Event *pev );

HRESULT readAll( SOCKET, char*, size_t );
HRESULT writeAll( SOCKET, char*, size_t );

#endif