#if !defined(AFX_CONFERENCEDIALOG_H__6B608103_AAF8_11D1_B9CA_006008134835__INCLUDED_)
#define AFX_CONFERENCEDIALOG_H__6B608103_AAF8_11D1_B9CA_006008134835__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ConferenceDialog.h : header file
//
#include "ServerLink.h"

#include <map>
#include <vector>

using namespace std;

// The debugger can't handle symbols more than 255 characters long.
// STL often creates symbols longer than that.
// When symbols are longer than 255 characters, the warning is disabled.
#pragma warning(disable:4786)

/////////////////////////////////////////////////////////////////////////////
// CConferenceDialog dialog
//class CServerLink;

class CConferenceDialog : public CDialog
{
// Construction
public:
	typedef vector<ActiveUserKey> ConferenceEnt;
	typedef map<ConferenceKey, ConferenceEnt> ConferenceRep;

	ConferenceRep m_Conferences;

	void serverLink( CServerLink* sl );
	void UpdateParticipantList( ConferenceKey ckey );
	CConferenceDialog(CWnd* pParent = NULL);   // standard constructor
	void OnOK();

// Dialog Data
	//{{AFX_DATA(CConferenceDialog)
	enum { IDD = IDD_CONF_DIALOG };
	CListCtrl	m_ParticipantList;
	CListCtrl	m_ConferenceList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConferenceDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	int m_SelectedConference;
	CServerLink* m_ServerLink;

	// Generated message map functions
	//{{AFX_MSG(CConferenceDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnNewConference();
	afx_msg void OnItemchangedConfList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnJoinConf();
	afx_msg void OnLeaveConf();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFERENCEDIALOG_H__6B608103_AAF8_11D1_B9CA_006008134835__INCLUDED_)
