// DSDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DSProxy.h"
#include "DSDialog.h"

extern CDSProxyApp theApp;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif
/////////////////////////////////////////////////////////////////////////////
// CDSDialog dialog


CDSDialog::CDSDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CDSDialog::IDD, pParent),
	  m_ActiveUsersDialog( &m_Tabs ),
	  m_ConferenceDialog( &m_Tabs )
{
	//{{AFX_DATA_INIT(CDSDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDSDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDSDialog)
	DDX_Control(pDX, IDC_DS_TABS, m_Tabs);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDSDialog, CDialog)
	//{{AFX_MSG_MAP(CDSDialog)
	ON_NOTIFY(TCN_SELCHANGE, IDC_DS_TABS, OnSelchangeDSTabs)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDSDialog message handlers

BOOL CDSDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	RECT rect;
	TC_ITEM TabCtrlItem;
	TabCtrlItem.mask = TCIF_TEXT;
    TabCtrlItem.pszText = "Active Users";
	m_Tabs.InsertItem( 0, &TabCtrlItem );
    TabCtrlItem.pszText = "Conferences";
	m_Tabs.InsertItem( 1, &TabCtrlItem );

	m_ActiveUsersDialog.Create( IDD_AU_DIALOG, &m_Tabs );
	m_ActiveUsersDialog.GetClientRect( &rect );
	m_ActiveUsersDialog.MoveWindow( 5, 25, rect.right, rect.bottom );
	m_ActiveUsersDialog.SetOwner( GetOwner() );
	theApp.m_ActiveUsersDialog = &m_ActiveUsersDialog;

	m_ConferenceDialog.Create( IDD_CONF_DIALOG, &m_Tabs );
	m_ConferenceDialog.GetClientRect( &rect );
	m_ConferenceDialog.MoveWindow( 5, 25, rect.right, rect.bottom );
	m_ConferenceDialog.SetOwner( GetOwner() );
	theApp.m_ConferenceDialog = &m_ConferenceDialog;

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CDSDialog::OnSelchangeDSTabs(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	int nTab = m_Tabs.GetCurSel();
	switch( nTab )
	{
	case 0:
		m_ConferenceDialog.ShowWindow( SW_HIDE );
		m_ActiveUsersDialog.ShowWindow( SW_SHOW );
		break;
	case 1:
		m_ActiveUsersDialog.ShowWindow( SW_HIDE );
		m_ConferenceDialog.ShowWindow( SW_SHOW );
		break;
	}
	
	*pResult = 0;
}
