// PanelDlg.cpp : implementation file
//

#include "stdafx.h"
#include "NCSvideo.h"
#include "PanelDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPanelDlg dialog


CPanelDlg::CPanelDlg(BOOL code261, BOOL intraOnly, CWnd* pParent /*=NULL*/)
	: CDialog(CPanelDlg::IDD, pParent)
{
	Code261 = code261;
	//{{AFX_DATA_INIT(CPanelDlg)
	m_IntraOnly = intraOnly;
	//}}AFX_DATA_INIT
}


void CPanelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPanelDlg)
	DDX_Control(pDX, IDC_H261, m_H261);
	DDX_Control(pDX, IDC_H263, m_H263);
	DDX_Check(pDX, IDC_INTRAONLY, m_IntraOnly);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPanelDlg, CDialog)
	//{{AFX_MSG_MAP(CPanelDlg)
	ON_BN_CLICKED(IDC_H261, OnH261)
	ON_BN_CLICKED(IDC_H263, OnH263)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPanelDlg message handlers

void CPanelDlg::OnH261() 
{
	if(m_H261.GetCheck())
	{
		Code261 = TRUE;
		m_H261.SetCheck(1);
		m_H263.SetCheck(0);
	}
	else
	{
		Code261 = FALSE;
		m_H261.SetCheck(0);
		m_H263.SetCheck(1);
	}
}

void CPanelDlg::OnH263() 
{
	if(m_H263.GetCheck())
	{
		Code261 = FALSE;
		m_H261.SetCheck(0);
		m_H263.SetCheck(1);
	}
	else
	{
		Code261 = TRUE;
		m_H261.SetCheck(1);
		m_H263.SetCheck(0);
	}
}

BOOL CPanelDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	if(Code261==TRUE)
	{
		m_H261.SetCheck(1);
		m_H263.SetCheck(0);
	}
	else
	{
		m_H261.SetCheck(0);
		m_H263.SetCheck(1);
	}

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
