// PanelDlg.cpp : implementation file
//

#include "stdafx.h"
#include "NCSvideo.h"
#include "PanelDlg.h"
#include "VideoProtocol.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPanelDlg dialog


CPanelDlg::CPanelDlg(int c, CWnd* pParent /*=NULL*/)
	: CDialog(CPanelDlg::IDD, pParent)
{
	code = c;

	//{{AFX_DATA_INIT(CPanelDlg)
	//}}AFX_DATA_INIT
}


void CPanelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPanelDlg)
	DDX_Control(pDX, IDC_YUV9, m_YUV9);
	DDX_Control(pDX, IDC_H261intra, m_H261intra);
	DDX_Control(pDX, IDC_H261, m_H261);
	DDX_Control(pDX, IDC_H263, m_H263);
	DDX_Check(pDX, IDC_INTRAONLY, m_IntraOnly);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPanelDlg, CDialog)
	//{{AFX_MSG_MAP(CPanelDlg)
	ON_BN_CLICKED(IDC_H261, OnH261)
	ON_BN_CLICKED(IDC_H263, OnH263)
	ON_BN_CLICKED(IDC_H261intra, OnH261intra)
	ON_BN_CLICKED(IDC_YUV9, OnYuv9)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPanelDlg message handlers

void CPanelDlg::SetCode(int c)
{
	m_H261.SetCheck(0);
	m_H261intra.SetCheck(0);
	m_H263.SetCheck(0);
	m_YUV9.SetCheck(0);
		
	code = c;
	switch(code)
	{
	case H261:
			m_H261.SetCheck(1);
			break;

	case H261intra:
			m_H261intra.SetCheck(1);
			break;

	case H263:
			m_H263.SetCheck(1);
			break;

	case YUV9:
			m_YUV9.SetCheck(1);
			break;
	}
}



void CPanelDlg::OnH261() 
{
	SetCode(H261);
}

void CPanelDlg::OnH263() 
{
	SetCode(H263);
}

BOOL CPanelDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	SetCode(code);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CPanelDlg::OnH261intra() 
{
	SetCode(H261intra);
}

void CPanelDlg::OnYuv9() 
{
	SetCode(YUV9);	
}
