/* event.h	-- Tomasz Stachowiak
 * Time-stamp: <97/02/14 19:07:51 stach>
 */

#ifndef _EVENT_H
#define _EVENT_H

#define MAX_UDP_SIZE 60000

typedef enum 
{
  ncsEventData
} NCSeventType;

long gethostid();

class NCSevent
{
public:
  int type;
  struct timeval timestamp;
  int port;
  char data[MAX_UDP_SIZE];
  int data_lenght;
  struct sockaddr_in addr;
  int active;

  NCSevent();
  ~NCSevent();
  int save(FILE *fd);
  int restore(FILE *fd);
  int send(int sock);
  int receive(int sock);
};



#endif
