// ManagerTango.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "ManagerTango.h"
#include "ManagerTangoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CManagerTangoApp

BEGIN_MESSAGE_MAP(CManagerTangoApp, CWinApp)
	//{{AFX_MSG_MAP(CManagerTangoApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CManagerTangoApp construction

CManagerTangoApp::CManagerTangoApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CManagerTangoApp object

CManagerTangoApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CManagerTangoApp initialization

BOOL CManagerTangoApp::InitInstance()
{
	char name[20];
	
	if (!AfxSocketInit())
	{
		AfxMessageBox(IDP_SOCKETS_INIT_FAILED);
		return FALSE;
	}

	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	//MessageBox(NULL, m_lpCmdLine, "Info", MB_OK);
	sscanf(m_lpCmdLine, "%d %d", &tangoAID, &tangoPort);

	
	CManagerTangoDlg *dlg = new CManagerTangoDlg(tangoAID, tangoPort);
	m_pMainWnd = dlg;
	int nResponse = dlg->DoModal();
	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
