// StatDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TSaudio.h"
#include "Conference.h"
#include "StatDlg.h"
#include "ncs.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStatDlg dialog


CStatDlg::CStatDlg(void *con, CWnd* pParent /*=NULL*/)
	: CDialog(CStatDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStatDlg)
	//}}AFX_DATA_INIT

	conf = con;
}


void CStatDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStatDlg)
	DDX_Control(pDX, IDC_PERLATEED, m_PerLateEd);
	DDX_Control(pDX, IDC_PERLOSTED, m_PerLostEd);
	DDX_Control(pDX, IDC_LATEED, m_LateEd);
	DDX_Control(pDX, IDC_LOSTED, m_LostEd);
	DDX_Control(pDX, IDC_RECED, m_RecEd);
	DDX_Control(pDX, IDC_STATLIST, m_List);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStatDlg, CDialog)
	//{{AFX_MSG_MAP(CStatDlg)
	ON_BN_CLICKED(ID_UPDATE, OnUpdate)
	ON_BN_CLICKED(IDRESET, OnReset)
	ON_LBN_SELCHANGE(IDC_STATLIST, OnSelchangeStatlist)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStatDlg message handlers

void CStatDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}

BOOL CStatDlg::OnInitDialog() 
{
	int i, j=0;
	char text[200];
	char user[20];
	char host[50];
	Conference *tmp = (Conference *)conf;

	CDialog::OnInitDialog();
	
	m_List.SetHorizontalExtent(300);
	for(i=0; i<MAX_USERS; i++)
	{
		if(tmp->userdata[i] != NULL)
		{ 
			//sprintf(text, "%d                     %d             %d          %d", i, tmp->userdata[i]->frames_received, tmp->userdata[i]->frames_lost, tmp->userdata[i]->frames_late);
			ncsAppGetPart(tmp->ncsApp, i, user, host);
			sprintf(text, "%s@%s", user, host);
			m_List.AddString(text);
			id[j] = i;
			j++;
		}
	}
	
	active_users = j;
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CStatDlg::OnUpdate() 
{
	OnSelchangeStatlist();		
}

void CStatDlg::OnReset() 
{
	int index;
	Conference *tmp = (Conference *)conf;
	
	if((index = m_List.GetCurSel()) != LB_ERR)
	{
		tmp->userdata[id[index]]->reset();
	}
	
	OnSelchangeStatlist();		
}

void CStatDlg::OnSelchangeStatlist() 
{
	int index;
	Conference *tmp = (Conference *)conf;
	char text[100];
	
	if((index = m_List.GetCurSel()) != LB_ERR)
	{
		sprintf(text, "%d", tmp->userdata[id[index]]->frames_received);
		m_RecEd.SetSel(0, -1);
		m_RecEd.ReplaceSel(text);

		sprintf(text, "%d", tmp->userdata[id[index]]->frames_lost);
		m_LostEd.SetSel(0, -1);
		m_LostEd.ReplaceSel(text);

		sprintf(text, "%d", tmp->userdata[id[index]]->frames_late);
		m_LateEd.SetSel(0, -1);
		m_LateEd.ReplaceSel(text);

		sprintf(text, "%d", tmp->userdata[id[index]]->getPercentLost());
		m_PerLostEd.SetSel(0, -1);
		m_PerLostEd.ReplaceSel(text);

		sprintf(text, "%d", tmp->userdata[id[index]]->getPercentLate());
		m_PerLateEd.SetSel(0, -1);
		m_PerLateEd.ReplaceSel(text);
	}
	
}

