// PersonalInfo.cpp : implementation file
//

#include "stdafx.h"
#include "BuenaVista.h"
#include "PersonalInfo.h"
#include "options.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPersonalInfo dialog


CPersonalInfo::CPersonalInfo(Options *opt, CWnd* pParent /*=NULL*/)
	: CDialog(CPersonalInfo::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPersonalInfo)
	//}}AFX_DATA_INIT
	options = opt;
}


void CPersonalInfo::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPersonalInfo)
	DDX_Control(pDX, IDC_EMAIL_EDIT, m_Email);
	DDX_Control(pDX, IDC_NAME_EDIT, m_Name);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPersonalInfo, CDialog)
	//{{AFX_MSG_MAP(CPersonalInfo)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPersonalInfo message handlers

void CPersonalInfo::OnOK() 
{
	m_Name.GetWindowText(options->user_name, 30);
	m_Email.GetWindowText(options->user_email, 30);
	
	if(strcmp(options->user_name, "") == 0)
	{
		MessageBox("You must fill all the fields");
		return;
	}

	if(strcmp(options->user_email, "") == 0)
	{
		MessageBox("You must fill all the fields");
		return;
	}

	CDialog::OnOK();
}
