// Stat.h : header file
//

#ifndef CSTAT_H
#define CSTAT_H

/////////////////////////////////////////////////////////////////////////////
// CStat dialog

class CStat : public CDialog
{
// Construction
public:
	CStat(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CStat)
	enum { IDD = IDD_STAT };
	CEdit	m_bps;
	CEdit	m_fps;
	CEdit	m_bytes;
	CEdit	m_frames;
	CEdit	m_time;
	//}}AFX_DATA

	int time;
	int frames;
	int bytes;
	int start_time;
	int stop_time;
	BOOL started;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStat)
	public:
	virtual int DoModal();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:

	void print();
	void start();
	void stop();
	void frame(int size);
	
protected:

	// Generated message map functions
	//{{AFX_MSG(CStat)
	virtual void OnOK();
	afx_msg void OnReset();
	afx_msg void OnUpdate();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
