//
// File:        test.java
// Author:      Tomasz Stachowiak
// e-mail:      <stach@>
// Created:     Tue Mar  4 1997
// Time-stamp: <97/03/06 20:21:52 stach>
// Copyright Tomasz Stachowiak 1997 NPAC, Syracuse University
// Description:
//

import java.lang.*;

class Test implements ncsApplication {

  ncsAPI api;

  public static void main(String argv[]) {
    Test test;

    test = new Test();
  }

  public Test() {
    api = new ncsAPI(this, 6999);
    api.Attach();
  }

  public void dataCallback(int user, int tag, byte[] data, int len) {
    System.out.println("Message from user " + user + " tag: " + tag + " Data: " + new String(data, 0));
  }

  public void startingCallback() {
    int i;

    System.out.println("NCS java application started");    
    String str = new String("Tomasz Stachowiak");
    byte[] tab = new byte[str.length()];
    str.getBytes(0, str.length(), tab, 0);
    for(i=0; i<10; i++) {
      api.SendPriorityData(-1, i, tab, tab.length);
    }
  }

  public void quitCallback() {
    System.out.println("NCS java application quit");    
    api.Dettach();
  }

  public void addMbrCallback() {
    System.out.println("NCS java application add member");    
  }

  public void delMbrCallback() {
    System.out.println("NCS java application delete member");    
  }
}
