#include <dsound.h>

#ifndef _DSAUDIO_H
#define _DSAUDIO_H

#define MAX_STREAMS 20

class DSbuffer {

private:
	LPDIRECTSOUNDBUFFER DSbuf;
	DSBUFFERDESC dsbdesc;

public:
	int init(LPDIRECTSOUND lpDirectSound, WAVEFORMATEX *pformat);
	int play(void *buf);
	void close();
};

class DSmultiAudio {

private:
	LPDIRECTSOUND lpDirectSound;
	LPDIRECTSOUNDBUFFER DSprimaryBuffer;
	DSBUFFERDESC dsbdesc;
	WAVEFORMATEX format;

	DSbuffer *buffer[MAX_STREAMS];

	void setFormat();
	int createPrimaryBuf();

public:
	int init(HWND hwnd);
	void close();
	int play(int id, void *buf);
	void closeBuf(int id);
};

#endif